Bug 865356 - [engine] Several concurrent reconstructMaster requests are sent when requests take a long time to return
[engine] Several concurrent reconstructMaster requests are sent when requests...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
All Linux
unspecified Severity high
: ---
: 3.1.5
Assigned To: Ayal Baron
Gadi Ickowicz
storage
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 05:43 EDT by Gadi Ickowicz
Modified: 2016-02-10 15:26 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-14 02:59:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm + engine logs (45.78 MB, application/x-gzip)
2012-10-11 05:43 EDT, Gadi Ickowicz
no flags Details

  None (edit)
Description Gadi Ickowicz 2012-10-11 05:43:52 EDT
Created attachment 625455 [details]
vdsm + engine logs

Description of problem:
Concurrent requests for ReconstructMaster are sent when a request takes longer than 3 minutes and times out on the engine side, even though it is still running on the host

The following is visible in the vdsm logs:

Thread-129::INFO::2012-10-10 16:58:40,382::logUtils::37::dispatcher::(wrapper) Run and protect: reconstructMaster(spUUID='92093b80-07da-489b-b31c-78f9234665a1', poolName='TestDataCenter', masterDom='5efd1c4f-a4cb-
Thread-129::INFO::2012-10-10 17:06:05,538::logUtils::39::dispatcher::(wrapper) Run and protect: reconstructMaster, Return response: None
Thread-500::INFO::2012-10-10 17:06:44,042::logUtils::37::dispatcher::(wrapper) Run and protect: reconstructMaster(spUUID='92093b80-07da-489b-b31c-78f9234665a1', poolName='TestDataCenter', masterDom='5efd1c4f-a4cb-
Thread-781::INFO::2012-10-10 17:14:55,383::logUtils::37::dispatcher::(wrapper) Run and protect: reconstructMaster(spUUID='92093b80-07da-489b-b31c-78f9234665a1', poolName='TestDataCenter', masterDom='5efd1c4f-a4cb-
Thread-500::INFO::2012-10-10 17:17:35,937::logUtils::39::dispatcher::(wrapper) Run and protect: reconstructMaster, Return response: None
Thread-892::INFO::2012-10-10 17:19:08,812::logUtils::37::dispatcher::(wrapper) Run and protect: reconstructMaster(spUUID='92093b80-07da-489b-b31c-78f9234665a1', poolName='TestDataCenter', masterDom='5efd1c4f-a4cb-
Thread-892::INFO::2012-10-10 17:19:32,724::logUtils::39::dispatcher::(wrapper) Run and protect: reconstructMaster, Return response: None



Version-Release number of selected component (if applicable):
vdsm-4.9.6-37.0.el6_3.x86_64
rhevm-3.1.0-20.el6ev.noarch

How reproducible:
?

Steps to Reproduce:
1. Setup with 1 host, 2 storage domains (NFS, on different servers)
2. Block connection to master storage domain
3. Check logs to see if concurrent reconstructMaster threads are running on the host
Comment 1 Ayal Baron 2012-10-14 10:49:13 EDT
The only real solution to this is to make reconstruct an async task.
This would require supporting async tasks on non-spm hosts.
Comment 2 Itamar Heim 2013-04-14 02:59:55 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.